package org.bench4q.share.models.agent.scriptrecord;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class IfBehaviorModel extends BehaviorModel {
	private ConditionBehaviorModel condition;
	private List<BehaviorModel> thenBehaviors;
	private List<BehaviorModel> elseBehaviors;

	@XmlElement
	public ConditionBehaviorModel getCondition() {
		return condition;
	}

	public void setCondition(ConditionBehaviorModel condition) {
		this.condition = condition;
	}

	@XmlElementWrapper(name = "thenBehaviors")
	@XmlElement
	public List<BehaviorModel> getThenBehaviors() {
		return thenBehaviors;
	}

	public void setThenBehaviors(List<BehaviorModel> thenBehaviors) {
		this.thenBehaviors = thenBehaviors;
	}

	@XmlElementWrapper(name = "elseBehaviors")
	@XmlElement
	public List<BehaviorModel> getElseBehaviors() {
		return elseBehaviors;
	}

	public void setElseBehaviors(List<BehaviorModel> elseBehaviors) {
		this.elseBehaviors = elseBehaviors;
	}

}
